Bug 1660653 - [abrt] dput-ng: module(): dput:107:<module>:ValueError: max() arg is an empty sequence
Summary: [abrt] dput-ng: module(): dput:107:<module>:ValueError: max() arg is an empty...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dput-ng
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Kuhn
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:23e058adc9455fe36169e90bbfd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-18 23:11 UTC by kxra
Modified: 2019-11-27 20:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:25:10 UTC


Attachments (Terms of Use)
File: backtrace (1.45 KB, text/plain)
2018-12-18 23:11 UTC, kxra
no flags Details
File: cgroup (389 bytes, text/plain)
2018-12-18 23:11 UTC, kxra
no flags Details
File: cpuinfo (1.41 KB, text/plain)
2018-12-18 23:11 UTC, kxra
no flags Details
File: environ (7.57 KB, text/plain)
2018-12-18 23:11 UTC, kxra
no flags Details
File: mountinfo (3.70 KB, text/plain)
2018-12-18 23:11 UTC, kxra
no flags Details
File: namespaces (129 bytes, text/plain)
2018-12-18 23:11 UTC, kxra
no flags Details
File: open_fds (241 bytes, text/plain)
2018-12-18 23:11 UTC, kxra
no flags Details

Description kxra 2018-12-18 23:11:39 UTC
Version-Release number of selected component:
dput-ng-1.21-1.fc29

Additional info:
reporter:       libreport-2.9.7
cmdline:        /usr/bin/python3 /usr/bin/dput
crash_function: module
exception_type: ValueError
executable:     /usr/bin/dput
interpreter:    python3-3.7.1-4.fc29.x86_64
kernel:         4.19.4-300.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
dput:107:<module>:ValueError: max() arg is an empty sequence

Traceback (most recent call last):
  File "/usr/bin/dput", line 107, in <module>
    most_recent_changes_file = max(changes_files, key=os.path.getctime)
ValueError: max() arg is an empty sequence

Local variables in innermost frame:
__name__: '__main__'
__doc__: None
__package__: None
__loader__: <_frozen_importlib_external.SourceFileLoader object at 0x7f50c3470c18>
__spec__: None
__annotations__: {}
__builtins__: <module 'builtins' (built-in)>
__file__: '/usr/bin/dput'
__cached__: None
sys: <module 'sys' (built-in)>
argparse: <module 'argparse' from '/usr/lib64/python3.7/argparse.py'>
glob: <module 'glob' from '/usr/lib64/python3.7/glob.py'>
os: <module 'os' from '/usr/lib64/python3.7/os.py'>
dput: <module 'dput' from '/usr/lib/python3.7/site-packages/dput/__init__.py'>
upload_package: <function invoke_dput at 0x7f50c2a22e18>
parse_overrides: <function parse_overrides at 0x7f50c2bc3e18>
BUTTON_OK: 'ok'
parser: ArgumentParser(prog='dput', usage=None, description='Debian package upload tool', formatter_class=<class 'argparse.HelpFormatter'>, conflict_handler='error', add_help=True)
args: Namespace(changes=[], check_only=False, check_version=False, config=None, debug=False, delayed=None, dinstall=False, force=False, full_upload_log=False, host=None, lintian=False, no_upload_log=False, override={}, passive=False, simulate=False, unchecked=False, unset=None, version=False)
overrides: []
changes_files: []

Comment 1 kxra 2018-12-18 23:11:40 UTC
Created attachment 1515426 [details]
File: backtrace

Comment 2 kxra 2018-12-18 23:11:41 UTC
Created attachment 1515427 [details]
File: cgroup

Comment 3 kxra 2018-12-18 23:11:42 UTC
Created attachment 1515428 [details]
File: cpuinfo

Comment 4 kxra 2018-12-18 23:11:43 UTC
Created attachment 1515429 [details]
File: environ

Comment 5 kxra 2018-12-18 23:11:44 UTC
Created attachment 1515430 [details]
File: mountinfo

Comment 6 kxra 2018-12-18 23:11:44 UTC
Created attachment 1515431 [details]
File: namespaces

Comment 7 kxra 2018-12-18 23:11:45 UTC
Created attachment 1515432 [details]
File: open_fds

Comment 8 Ben Cotton 2019-10-31 20:17:35 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2019-11-27 20:25:10 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.